For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create database remote connection

Allows a remote host to connect to the specified database. Provide an IPv4/IPv6 address, or "%" to allow any host. The database name must be the full name returned by the list databases endpoint.

Create database remote connection

post

Allows a remote host to connect to the specified database.

Provide an IPv4/IPv6 address, or "%" to allow any host. The database name must be the full name returned by the list databases endpoint.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
namestringRequired

Full database name as returned by the list databases endpoint.

Example: u123456789_test_db
Body
ipstringRequired

Remote host to allow: an IPv4/IPv6 address, or "%" for any host.

Example: 192.0.2.10
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/hosting/v1/accounts/{username}/databases/{name}/remote-connections
POST /api/hosting/v1/accounts/{username}/databases/{name}/remote-connections HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "ip": "192.0.2.10"
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?